Package org.eclipse.emf.cdo.server.db

# Interface IDBStore.Props

Enclosing interface:
  `IDBStore`

public static interface IDBStore.Props
Contains symbolic constants that specify valid keys of `DB store properties`.

Since:
  4.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BATCH_COMMIT_SIZE`
Maximum number of pending parameter sets across the current DB commit write.
`static final String`
`BATCH_STATEMENT_SIZE`
Maximum number of pending parameter sets per JDBC batch statement.
`static final String`
`CONNECTION_KEEPALIVE_PERIOD`
Period at which to execute an SQL statement to keep DB connection alive, in minutes.
`static final String`
`CONNECTION_RETRY_COUNT`
Number of additional attempts to connect to the DB after initial connection failure.
`static final String`
`CONNECTION_RETRY_SECONDS`
Number of seconds to wait before additional attempts to connect to the DB after initial connection failure.
`static final String`
`CREATE_SCHEMA_IF_NEEDED`
Whether to create the schema with the specified `name` at startup time, if it does not exist.
`static final String`
`DISABLE_SQL_QUERY_HANDLER`
Whether to disable the SQL query handler.
`static final String`
`DROP_ALL_DATA_ON_ACTIVATE`
`static final String`
`FIELD_CONSTRUCTION_TRACKING`
`static final String`
`ID_COLUMN_LENGTH`
`static final String`
`JDBC_FETCH_SIZE`
`static final String`
`OBJECT_TYPE_BATCH_SIZE`
Maximum number of ObjectType rows considered by one prequery and ObjectType insert batch.
`static final String`
`OBJECT_TYPE_DUPLICATE_POLICY`
ObjectType duplicate handling mode: `SAFE` or `FAIL`.
`static final String`
`PREPEND_SCHEMA_NAME`
Whether to qualify table names with the `schema name`.
`static final String`
`READER_POOL_CAPACITY`
`static final String`
`SCHEMA_NAME`
The name of the DB schema to use for the repository.
`static final String`
`WRITER_POOL_CAPACITY`
`static final String`
`ZIP_PACKAGE_BYTES`
Whether to store packages as zipped byte arrays in the database.

## Field Details

### SCHEMA_NAME

static final String SCHEMA_NAME
The name of the DB schema to use for the repository. If omitted the `default schema name` of the repository's `DB adapter` is used as the schema name.

Since:
  4.13
See Also:
  - Constant Field Values

### PREPEND_SCHEMA_NAME

static final String PREPEND_SCHEMA_NAME
Whether to qualify table names with the `schema name`.

Since:
  4.13
See Also:
  - Constant Field Values

### CREATE_SCHEMA_IF_NEEDED

static final String CREATE_SCHEMA_IF_NEEDED
Whether to create the schema with the specified `name` at startup time, if it does not exist.

Since:
  4.13
See Also:
  - Constant Field Values

### CONNECTION_KEEPALIVE_PERIOD

static final String CONNECTION_KEEPALIVE_PERIOD
Period at which to execute an SQL statement to keep DB connection alive, in minutes.

See Also:
  - Constant Field Values

### BATCH_STATEMENT_SIZE

static final String BATCH_STATEMENT_SIZE
Maximum number of pending parameter sets per JDBC batch statement. If absent, the legacy `org.eclipse.emf.cdo.server.db.LIST_BATCH_SIZE` property is used as the default.

Since:
  4.15
See Also:
  - Constant Field Values

### OBJECT_TYPE_BATCH_SIZE

static final String OBJECT_TYPE_BATCH_SIZE
Maximum number of ObjectType rows considered by one prequery and ObjectType insert batch.

If omitted, `BATCH_STATEMENT_SIZE` and its legacy fallback behavior determine the size.

Since:
  4.15
See Also:
  - Constant Field Values

### OBJECT_TYPE_DUPLICATE_POLICY

static final String OBJECT_TYPE_DUPLICATE_POLICY
ObjectType duplicate handling mode: `SAFE` or `FAIL`. SAFE is the default and preserves duplicate detection and replay. FAIL skips those safeguards and requires all committed IDs to be fresh. FAIL is suitable only when the operator guarantees that commits cannot introduce already-persistent IDs; use SAFE for merge, import, backup, clone, and other external-permanent-ID scenarios.

Since:
  4.15
See Also:
  - Constant Field Values

### BATCH_COMMIT_SIZE

static final String BATCH_COMMIT_SIZE
Maximum number of pending parameter sets across the current DB commit write.

Since:
  4.15
See Also:
  - Constant Field Values

### CONNECTION_RETRY_COUNT

static final String CONNECTION_RETRY_COUNT
Number of additional attempts to connect to the DB after initial connection failure.

Since:
  4.12
See Also:
  - Constant Field Values

### CONNECTION_RETRY_SECONDS

static final String CONNECTION_RETRY_SECONDS
Number of seconds to wait before additional attempts to connect to the DB after initial connection failure.

Since:
  4.12
See Also:
  - Constant Field Values

### ID_COLUMN_LENGTH

static final String ID_COLUMN_LENGTH

Since:
  4.2
See Also:
  - Constant Field Values

### READER_POOL_CAPACITY

static final String READER_POOL_CAPACITY

Since:
  4.2
See Also:
  - Constant Field Values

### WRITER_POOL_CAPACITY

static final String WRITER_POOL_CAPACITY

Since:
  4.2
See Also:
  - Constant Field Values

### FIELD_CONSTRUCTION_TRACKING

static final String FIELD_CONSTRUCTION_TRACKING

Since:
  4.3
See Also:
  - Constant Field Values

### DROP_ALL_DATA_ON_ACTIVATE

static final String DROP_ALL_DATA_ON_ACTIVATE

Since:
  4.4
See Also:
  - Constant Field Values

### JDBC_FETCH_SIZE

static final String JDBC_FETCH_SIZE

Since:
  4.4
See Also:
  - Constant Field Values

### ZIP_PACKAGE_BYTES

static final String ZIP_PACKAGE_BYTES
Whether to store packages as zipped byte arrays in the database.

When set to `true`, packages are stored as zipped byte arrays. This saves database space, but makes it harder to inspect the stored packages outside of CDO.

When set to `false` (the default), packages are stored as plain XML/XMI.

The default value is determined by the "org.eclipse.emf.cdo.server.internal.db.MetaDataManager.ZIP_PACKAGE_BYTES" system property, which defaults to `true`.

Note: This property only affects newly stored packages. Existing packages are not converted.

Since:
  4.14
See Also:
  - Constant Field Values

### DISABLE_SQL_QUERY_HANDLER

static final String DISABLE_SQL_QUERY_HANDLER
Whether to disable the SQL query handler.

When set to `true`, the SQL query handler is disabled. This means that clients cannot execute arbitrary SQL queries against the database.

When set to `false` (the default), the SQL query handler is enabled.

The default value is determined by the "org.eclipse.emf.cdo.server.db.DEFAULT_DISABLE_SQL_QUERY_HANDLER" system property, which defaults to `false`.

Since:
  4.15
See Also:
  - Constant Field Values